Subject: Re: 29.4; Eglot ignores locally set configuration

From: João Távora <[email-masked]>
Date: Tue, 12 Nov 2024 21:34:38 +0000

On Tue, Nov 12, 2024 at 8:49 PM Acid Bong <[email-masked]> wrote:

> ```lisp
> ((nil
>   . ((eglot-workspace-configuration
>       . (:rust-analyzer (:linkedProjects ["pkgs/rsblocks/Cargo.toml"]))))))
> ;; thank god it supports relative paths
> ```
> does nothing: I see the variable value is set properly with `C-h v`,
> but Eglot doesn't seem to recognize it (`eglot-show-workspace-configuration` shows "null").

What is the '...'preceding your excerpt of a structure?
Where are you executing C-h v? What file are you M-x eglot'int in?
Where are you running M-x eglot-show-worspace-configuration ?
What does M-: (project-current) RET show?

All these commands are highly dependent on context, so I think it's best if you
show a full recipe from Emacs -Q to clear these doubts.  Only seeing part
of the repo structure isn't enough to really understand what's going on.
I really need to understand what you did (close to what keys you pressed)
until you got to the suprising effect. I have rust-analyzer (though I don't
have any suitable rust projects).

João